<template>
    <section>
        <h3>Counter: {{ counter }}</h3>
        <h3>Square: {{ squareCounter }}</h3>

        <div>
            <button @click="increase">+1</button>
            <button @click="counter--">-1</button>
        </div>
    </section>
</template>

<script lang="ts" setup>
import { useCounter } from '@/composables/useCounter';

interface Props {
    value: number
}

const props = defineProps<Props>()

const { counter, increase, squareCounter } = useCounter(props.value)

// import { computed, ref, defineComponent } from 'vue';

// export default defineComponent({
//     props: {
//         value: { type: Number, required: true }
//     },
//     setup(props) {
//         const counter = ref(props.value)
//         const squareCounter = computed(() => counter.value * counter.value)
//         const increase = () => counter.value++


//         return {
//             counter,
//             squareCounter,
//             increase,
//         }
//     }
// })
</script>
